Subject: Re: bug#71669: 30.0.50; macOS: `emacs --geometry` flag broken, only `-geometry` works

From: Stefan Kangas <[email-masked]>
Date: Fri, 21 Jun 2024 18:09:00 +0000

Eli Zaretskii <[email-masked]> writes:

> Not necessarily.  My reading of the VC history is that before commit
> d7d8c62a57e7, which unified the NS handling of command-line arguments
> with the rest of GUI platforms, there was no support for -g (in any of
> its forms, including -geometry and --geometry) on macOS.  So it could
> be that the fact we now support -g and -geometry is a bug.

In d7d8c62a57e7 it was actually still commented out.  Proper support was
only added 4 years later, in commit e543ae917.

The fact that "--geometry" wasn't commented out at the time looks like
it was just an oversight.

> If you add --geometry to command-line-ns-option-alist, does it work as
> expected, with all formats of -geometry that are supposed to be
> supported?  If yes, we could enable that on macOS and see if anything
> breaks or someone complains.  But maybe if you try this, you will find
> the reason why this switch is not fully supported on NS.

It works fine, so I pushed a patch to master.  Closing this now, thanks.